product-media {
  flex: 1;
}

.product-media {
  width: 100%;
  position: relative;
  display: flex;
  gap: 10px;
  /* position: sticky; */
  /* top: 30px; */
}

.product-media slider-component {
  width: 100%;
}

.product-media .splide__arrow {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  border: none;
  background-color: white;
  color: black;
  cursor: pointer;
  box-shadow: 4px 4px 6px rgba(var(--color-shadow), 0.1);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s;
}

.product-media .splide__arrow--prev {
  position: absolute;
  top: auto;
  bottom: 20px;
  transform: translateY(-50%) rotate(180deg);
  right: 70px;
  left: auto;
}

.product-media .splide__arrow--next {
  position: absolute;
  bottom: 20px;
  top: auto;
}

.product-media .splide__arrow:hover {
  background-color: rgba(var(--color-button-background));
  color: white;
}

.product-media .splide__arrow:hover svg {
  fill: #fff;
}

.product-media .splide__arrow:disabled {
  background-color: rgba(255, 255, 255, 0.8);
  color: black;
  cursor: no-drop;
}

.product-media .splide__arrow svg {
  width: 28px;
  height: 28px;
}

.product-media img {
  width: 100%;
  height: 100%;
  display: flex;
  gap: 10px;
  flex-direction: column;
  border-radius: 5px;
}

.product-media.thumb-left {
  padding-left: 74px;
}

.product-media.thumb-left .product-media-thumb {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 74px;
  padding-right: 10px;
}

.product-media.thumb-bottom {
  display: flex;
  flex-direction: column;
}

.product-media.thumb-bottom .product-media-thumb {
  order: 1;
  width: 100%;
  flex-direction: row;
  overflow-x: auto;
  scrollbar-width: thin;
}

@media (max-width: 1023px) {
  .product-media {
    display: flex;
    flex-direction: column;
    padding-left: 0 !important;
  }

  .product-media .product-media-thumb {
    position: relative !important;
    order: 1;
    width: 100% !important;
    flex-direction: row;
    overflow-x: auto;
    scrollbar-width: thin;
    padding-right: 0 !important;
  }

  .product-media-thumb-item {
    width: 60px;
    flex-shrink: 0;
  }
}

.product-media.thumb-bottom .product-media-thumb .product-media-thumb-item {
  width: 80px;
  flex-shrink: 0;
}

.product-media-thumb {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: calc(14% - 10px);
  transition: all 0.3s;
  overflow-y: auto;
  scrollbar-width: thin;
}

.product-media-thumb-item {
  margin-top: 0;
  cursor: pointer;
  position: relative;
  margin: 2px;
}

.product-media-item-img {
  overflow: hidden;
  display: flex;
  border-radius: 3px;
}

.product-media-item-img img {
  transition: all 0.3s;
}

.product-media-item-img img:hover {
  transform: scale(1.1);
}

.product-media-active {
  box-shadow: 0 0 0 2px #000;
  border-radius: 3px;
}

.img-ratio {
  --ratio-percent: calc(100% / (var(--aspect-ratioapt)));
  position: relative;
}

.img-ratio::before {
  content: "";
  width: 0;
  height: 0;
  display: block !important;
  padding-bottom: var(--ratio-percent);
}

.img-ratio img {
  display: block;
  max-width: 100%;
  position: absolute;
  margin: 0;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}

.product__zoom {
  position: relative;
}

.product__zoom .zoom {
  width: 250px;
  height: 250px;
  border: 1px solid #000;
  pointer-events: none;
  position: absolute;
  background-color: rgba(255, 255, 255, 0.3);
}

.zoom-container {
  position: absolute;
  top: 0;
  right: 0;
  width: 520px;
  height: 520px;
  z-index: 2;
  border: 1px solid rgb(var(--color-base-text) / 0.12);
  border-radius: 5px;
  overflow: hidden;
  transform: translateX(calc(100% + 30px));
  box-shadow:
    0 1px 5px #7f7f7f05,
    0 5px 18px #7f7f7f33;
}

.zoom-container img {
  object-fit: cover;
}